<?php

namespace App\Enums;

use App\Traits\ProvidesEnumOptions;

enum Gender: string
{
    use ProvidesEnumOptions;

    case MALE = 'male';
    case FEMALE = 'female';

    public function label(): string
    {
        return match ($this) {
            self::MALE => 'Laki-laki',
            self::FEMALE => 'Perempuan',
        };
    }
}
